package cn.citycraft.EquipManager;

import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.plugin.PluginManager;
import org.bukkit.plugin.java.JavaPlugin;

import cn.citycraft.EquipManager.listen.PlayerListen;
import cn.citycraft.EquipManager.runnable.TaskManager;
import cn.citycraft.PluginHelper.config.FileConfig;

public class EquipManager extends JavaPlugin {
	FileConfig config;

	@Override
	public FileConfiguration getConfig() {
		return config;
	}

	@Override
	public void onDisable() {
		super.onDisable();
	}

	@Override
	public void onEnable() {
		PluginManager pm = this.getServer().getPluginManager();
		pm.registerEvents(new PlayerListen(), this);
		TaskManager.init(this);
	}

	@Override
	public void onLoad() {
		config = new FileConfig(this);
	}

}
