package cn.citycraft.EquipManager.runnable;

import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;

public class ArmorHandlerTask implements Runnable {
	Player p;

	public ArmorHandlerTask(Player p) {
		this.p = p;
	}

	@Override
	public void run() {
		if (!p.isOnline())
			return;
		ItemStack[] armors = p.getInventory().getArmorContents();
		for (ItemStack armor : armors) {
			if (armor == null || armor.getType() == Material.AIR)
				continue;
			String armorperm = "em." + armor.getType().toString().toLowerCase();
			if (!p.hasPermission(armorperm) && !p.isOp() && !p.hasPermission("em.*")) {
				p.getInventory().addItem(armor);
				p.sendMessage("§6[§b装备管理§6] §c你没有 " + armorperm + " 的权限来穿戴此装备 §a已放入背包!");
				armor.setType(Material.AIR);
			}
		}
		p.getInventory().setArmorContents(armors);
	}

}
